Subject: Re: Appletalk firmware on IIc

From: [email-masked] (David Empson)
Date: Sun, 2 Nov 1997 04:45:00 +1300

Robert Jensen <[email-masked]> wrote:

> I am confused about Appletalk on a IIc. An Apple technical note
> makes reference to Appletalk firmware in a IIc. The FAQ says
> there is no such functionality. What is the firmware about then?

The AppleTalk firmware was provided in the "UniDisk" version of the IIc
ROM.  It doesn't actually implement any AppleTalk protocols: it just
provides support for routing ProDOS calls to an external box that would
have plugged into the disk port (if I recall correctly).  This box would
have basically been a self-contained computer that implemented the
AppleTalk protocols and provided buffering.

In effect, the box would contain similar hardware to the Apple II
Workstation Card (a 65C02, a Z8530 SCC, and its own RAM and ROM).

The box was never released, and Apple removed support for it in later
versions of the IIc firmware.  There may have been technical reasons for
its non-appearance, but I can't think of any off-hand.

-- 
David Empson
[email-masked]
Snail mail: P.O. Box 27-103, Wellington, New Zealand